-- ZB_DM_TEAM_RISK ZB_DM_团队汇总结果_险种



-- step1：
-- 团队汇总
INSERT INTO ZB_DM.ZB_DM_MYSQL.TEAM_RISK
SELECT
       s1.`uwConclueDate`                                                               as `uwConclueDate`
     , s1.`LEVEL1COMCODE`                                                               as `LEVEL1COMCODE`
     , s1.`LEVEL2COMCODE`                                                               as `LEVEL2COMCODE`
     , s1.`LEVEL3COMCODE`                                                               as `LEVEL3COMCODE`
     , s1.`LEVEL4COMCODE`                                                               as `LEVEL4COMCODE`
     , s1.`startTime`                                                                   as `startTime`
     , s1.`risk`                                                                        as `risk`
     , cast (sum(cast(s1.`cost` as DECIMAL(18, 2))) as varchar )                        as `cost`
     , cast (DateTimeToLongUDF(hop_end(s1.row_time, interval '1' hour , interval '24' hour) ) as varchar ) as `log_time`
from (
         select
             *
--               ,ROW_NUMBER() OVER(PARTITION BY `no`,`COMCODE`,`cost` ORDER BY `uwConclueDate` DESC) as rownum
         from ZB_ODS.ZB_ODS_KAFKA.CBDATA
         where
             `COMNAME` is not null
           and LEFT(`uwConclueDate`,8) = DATE_FORMAT(LOCALTIMESTAMP,'yyyyMMdd')
     ) s1
-- where s1.rownum = 1
group by
    s1.`uwConclueDate`
    , s1.`LEVEL1COMCODE`
    , s1.`LEVEL2COMCODE`
    , s1.`LEVEL3COMCODE`
    , s1.`LEVEL4COMCODE`
    , s1.`startTime`
    , s1.`risk`
    , hop(s1.row_time, interval '1' hour, interval '24' hour)

;


